Bug 130929 - missing syscall auditing for pread() and pwrite()
missing syscall auditing for pread() and pwrite()
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-25 16:42 EDT by Stephanie Lockwood-Childs
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:56:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephanie Lockwood-Childs 2004-08-25 16:42:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
T312461; LM-MS; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
The system calls pread() and pwrite() currently can not be audited. 
Unlike other related calls such as read(), readv(), write(), and 
writev(), these calls are not included in the list of auditable calls 
in drivers/audit/syscall.c. This is a significant hole in the 
auditing support, because it allows a way to write to sensitive files 
without the write access being logged.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create rules to enable auditing of pwrite and pread 
in /etc/audit/filter.conf
2. enable auditing
3. run a program that uses pread or pwrite

Actual Results:  Access using pread or pwrite is not logged, and a 
kernel error message is generated for each time the syscall is 
used: "Filter target 0x0 not known or not supported in this context"

Expected Results:  The accesses should be logged

Additional info:
Comment 1 Ernie Petrides 2004-08-25 20:12:50 EDT

*** This bug has been marked as a duplicate of 130823 ***
Comment 2 Ernie Petrides 2004-09-11 01:19:16 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.5.EL).
Comment 3 John Flanagan 2004-12-20 15:56:01 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.